Bug 7258 - NULL pointer derref crash in _winreg_QueryValue
NULL pointer derref crash in _winreg_QueryValue
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.0
Other Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-17 06:10 UTC by Guenther Deschner
Modified: 2012-12-12 09:06 UTC (History)
0 users

See Also:


Attachments
patch for 3.5 (14.28 KB, patch)
2010-03-17 06:11 UTC, Guenther Deschner
obnox: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2010-03-17 06:10:25 UTC
There is a NULL pointer derref crash hanging out in _winreg_QueryValue.

Fixed (and tested) in master.
Comment 1 Guenther Deschner 2010-03-17 06:11:01 UTC
Created attachment 5506 [details]
patch for 3.5
Comment 2 Jeremy Allison 2010-03-17 11:55:16 UTC
Comment on attachment 5506 [details]
patch for 3.5

Looks good to me.
Comment 3 Michael Adam 2010-03-17 17:38:11 UTC
Comment on attachment 5506 [details]
patch for 3.5

Looks reasonable to me.
Hopefully, I understand enough if idl, to justify my review flag... :-)
Comment 4 Guenther Deschner 2010-03-18 04:39:25 UTC
Karolin, please add to 3.5
(3.4 patch to follow...)
Comment 5 Karolin Seeger 2010-03-18 05:32:15 UTC
(In reply to comment #4)
> Karolin, please add to 3.5
> (3.4 patch to follow...)
> 

Pushed to v3-5-test.
Re-assiging to Günther.
Comment 6 Karolin Seeger 2012-12-12 09:06:17 UTC
As 3.4 is out of maintenance, I am going to close this bug report.